@charset "utf-8";

.wrapper {
  position: relative;
  max-width: 1080px;
  margin: 50px auto;
}

.wizard {
  max-width: 1080px;
  margin: 0 auto;
}

.wizard h2:after {
  content: none;
}

.wizard__header {
  position: relative;
  color: #FFF;
  padding: 50px;
  border-radius: 5px;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  text-align: center;
  height: 200px;
  background-color: #000F3C;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.wizard__header-content {
  position: absolute;
  width: 100%;
  padding: 0 50px;
  text-align: center;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -60%);
}

.wizard__title {
  font-size: 1.8rem;
  line-height: 2rem;
  margin: 0;
}

.wizard__subheading {
  color: #FFF;
  text-transform: uppercase;
  margin: 10px 0 0 0;
  font-size: 0.8rem;
  font-weight: 100;
  letter-spacing: 2px;
}

.wizard__subheading span {
  font-weight: 600;
}

.wizard__steps {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  transform: translateY(50%);
  z-index: 9;
}

.wizard__footer {
  padding: 0 50px 20px;
  border-radius: 5px;
}

.wizard__footer span {
  float: right;
  padding-top: 28px;
  display: none;
}

.wizard__footer .main-info-txt {
  margin-right: 25px;
}

.wizard__footer .main-info-txt:before {
  display: inline-block;
  content: " ";
  height: 18px;
  width: 18px;
  background: #00B0E9;
  margin-right: 8px;
  vertical-align: bottom;
}

.wizard__footer .possible-info-txt:before {
  display: inline-block;
  content: " ";
  height: 18px;
  width: 18px;
  background: #a9a9a9;
  margin-right: 8px;
  vertical-align: bottom;
}

.wizard__content {
  background: #FFF;
  box-shadow: 0px 0px 10px #c5c5c5;
  border-radius: 5px;
}

.wizard.completed .wizard__content {
  animation: gettingOut 2s cubic-bezier(1, -0.71, 1, 1.16) forwards;
}

.line {
  position: absolute;
  top: 40px;
  left: 50%;
  z-index: -1;
  height: 10px;
  transition: all 0.5s ease;
}

.line.-start {
  left: 0%;
  background: #00B0E9;
  width: 50%;
}

.line.-end {
  left: 50%;
  background: #5094de;
  width: 50%;
}

.line.-background {
  background: #D6D2C4;
  width: 100%;
}

.line.-progress {
  background: #00B0E9;
  width: 100%;
  transform: scaleX(0);
  transform-origin: left center;
}

.line.-in-progress {
  transform: scaleX(1);
}

.panels {
  position: relative;
  overflow: hidden;
}

.panel {
  position: absolute;
  top: 0;
  left: 0;
  transition: 0.5s all;
  padding: 50px;
  width: 100%;
  min-height: 500px;
}

.panel__header {
  margin-bottom: 30px;
}

.panel__title {
  font-size: 1.25rem !important;
  line-height: 2rem;
  margin: 0;
}

.panel__subheading {
  font-size: 16px;
  line-height: 1.2rem;
  margin-top: 10px;
}

.panel.movingOutBackward {
  transform: translateX(-1080px);
}

.panel.movingOutFoward {
  transform: translateX(1080px);
}

.panel.movingIn {
  transform: translateX(0);
}

.panel-content-radio-group {
  display: flex;
  flex-wrap: wrap;
  height: auto;
}

.panel-content-radio-btn {
  position: relative;
  display: flex;
  align-items: flex-start;
  margin-bottom: 20px;
  max-width: 230px;
  gap: 15px;
  flex: 0 1 30%;
}

.panel-content-radio-btn input {
  position: static;
  transform: scale(1.2);
  margin-top: 6px;
}

.panel-content-radio-btn label {
  font-weight: 700;
  display: block;
  font-size: 1.125rem;
  margin: 0;
  line-height: 1.3;
  overflow-wrap: anywhere;
}

#panel-content-products-list {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  height: 250px;
  list-style: none;
  padding: 0;
}

.panel-content-products-list-element {
  color: #00B0E9;
  text-decoration: underline;
  flex-basis: 25%;
}

.panel-content-products-list-element:before {
  display: inline-block;
  content: " ";
  height: 18px;
  width: 18px;
  background: #00B0E9;
  margin-right: 10px;
  vertical-align: text-top;
}

.panel-content-products-list-element a {
  font-size: 16px;
  color: #007ab8;
}

.possible {
  color: #a9a9a9;
}

.possible:before {
  background: #a9a9a9;
}

.possible a {
  font-size: 16px;
  color: #000F3C;
}

.steps {
  position: relative;
  display: flex;
  flex: 0 1 auto;
  color: #fff;
}

.step {
  flex-basis: 0;
  flex-grow: 1;
  max-width: 100%;
  box-sizing: border-box;
  text-align: center;
  border-radius: 5px;
}

.step.step-transition .step__content .line.-progress {
  transition-delay: 320ms;
}

.step.-completed:nth-child(1) .step__content .line.-progress {
  transition-delay: 0ms;
}

.step.-completed:nth-child(1) .step__number {
  transition: background 0s;
  transition-delay: 0ms;
}

.step.-completed:nth-child(2) .step__content .line.-progress {
  transition-delay: 0ms;
}

.step.-completed:nth-child(2) .step__number {
  transition: background 0s;
  transition-delay: 0ms;
}

.step:last-child .step__number {
  transition: background 0s;
  transition-delay: 300ms;
}


.restart-transition .step__number {
  transition: background 0s;
  transition-delay: 920ms !important;
}

.restart-transition .step__content .line.-progress {
  transition-delay: 600ms !important;
}

.step:nth-child(1) .step__number {
  transition: background 0s;
  transition-delay: 320ms;
}

.step:nth-child(2) .step__number {
  transition: background 0s;
  transition-delay: 620ms;
}

.step:nth-child(2) .step__content .line.-progress {
  transition-delay: 300ms;
}

.step.-completed:last-child .step__content .line.-progress {
  transition-delay: 300ms;
}

.step.-completed:last-child .step__number {
  transition: background 0s;
  transition-delay: 320ms;
}

.step:last-child .step__content .line.-progress {
  transition-delay: 0ms;
}

.step__content {
  position: relative;
  z-index: 2;
}

.step__number {
  font-size: 30px !important;
  color: #000F3C;
  background: #D6D2C4;
  font-weight: 800 !important;
  width: 80px;
  height: 80px;
  line-height: 80px !important;
  margin: 0 auto;
  border-radius: 50%;
  transition: opacity 0.5s;
  opacity: 1;
  z-index: 5;
}

.step.-completed .step__number {
  background: #00B0E9;
}

.step.-completed .checkmark {
  z-index: 0;
  animation: fill 0.4s ease-in-out forwards, scale 0.3s ease-in-out 0.6s both;
}

.step.-completed .checkmark__check {
  animation: stroke 0.5s linear 0.4s forwards;
}

.step.-completed .line {
  transform: scaleX(1);
}

.step:last-child .line {
  width: 50%;
}

.checkmark {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 50px;
  height: 50px;
  border-radius: 50%;
  stroke-width: 2;
  stroke: #fff;
  stroke-miterlimit: 10;
  box-shadow: inset 0px 0px 0px #75b2f5;
  z-index: -1;
}

.checkmark__circle {
  stroke-dasharray: 166;
  stroke-dashoffset: 166;
  stroke-width: 8;
  stroke-miterlimit: 10;
  stroke: #5094de;
  fill: none;
  animation: stroke 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards;
}

.checkmark__check {
  transform-origin: 50% 50%;
  stroke-dasharray: 40;
  stroke-dashoffset: 40;
  stroke: #FFF;
  stroke-width: 5;
}

.button {
  cursor: pointer;
  font-size: 1rem;
  line-height: 1rem;
  background: #000F3C;
  color: #FFF;
  padding: 15px 15px;
  border: none;
  border-radius: 0.3125rem;
  outline: none;
  transition: all 0.3s;
}

 .wizard__footer .button {
  display: inline-block;
 }
.button:hover {
  opacity: 0.8;
}

.button.previous {
  margin-right: 5px;
}

.button.disabled {
  background: #000F3C33;
  color: #000F3C;
  cursor: default;
  pointer-events: none;
}

.title-selection {
  color: #007ab8;
}

@media screen and (max-width: 480px) {
  .wizard__footer span {
    float: none;
  }
  
  .panel {
    padding: 50px 30px;
  }

  .panel-content-radio-btn {
    flex-basis: 50%;
  }

  #panel-content-products-list {
    flex-direction: row;
    height: auto;
  }

  .panel-content-products-list-element {
    flex-basis: 50%;
  }
}

@keyframes stroke {
  to {
    stroke-dashoffset: 0;
  }
}

@keyframes scale {
  50% {
    transform: translateX(-50%) scale3d(1.5, 1.5, 1.5);
  }

  100% {
    transform: scale3d(0);
  }
}

@keyframes fill {
  100% {
    box-shadow: inset 0px 0px 0px 30px #75b2f5;
  }
}

@keyframes gettingOut {
  0% {
    transform: translateY(0%);
  }

  30% {
    transform: translateY(100px);
  }

  100% {
    transform: translateY(-200%);
  }
}

@keyframes fadeIn {
  100% {
    opacity: 1;
  }
}
